Skip to main content
`Ctrl`+`K`

# TaoSetConvergedReason

Sets the termination flag on a `Tao` object

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetConvergedReason(Tao tao, TaoConvergedReason reason)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- reason - the `TaoConvergedReason`

## See Also

TAO: Optimization Solvers, `Tao`, `TaoConvergedReason`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/bound/tutorials/jbearing2.c
src/tao/unconstrained/tutorials/eptorsion2f.F90

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages